using UnityEngine;
using System.Collections;

public class BallPunch : MonoBehaviour
{
    public float duration = 1f;
    public Vector2 amount;

    void Start()
    {
        Hashtable tweenParam = new Hashtable();
        tweenParam.Add("looptype", iTween.LoopType.pingPong);
        tweenParam.Add("amount", new Vector3(amount.x, amount.y, 1f));
        tweenParam.Add("time", duration);
        iTween.PunchScale(gameObject, tweenParam);
    }
}